* {
  margin: 0%;
  padding: 0%;
}

body {
  background-color: rgb(1, 1, 14);
  font-family: "Roboto", sans-serif;
  color: white;
}

nav {
  position: fixed;
  width: 100%;
  display: flex;
  justify-content: space-between;
  background-color: rgb(1, 1, 14);
  padding: 12px;
  box-shadow: 0px 2px 6px 2px rgb(31, 30, 30);
  color: white;
  z-index: 1000;
}


nav ul li a {
  margin-inline: 22px;
  text-decoration: none;
  color: white;
}

ul li {
  list-style: none;
}

nav ul {
  display: flex;
  margin-right: 63px;
  margin-top: 6px;
}

.logo {
  font-size: 20px;
  margin-left: 23px;
  color: rgb(42, 250, 42);
}

ul li button {
  width: 100px;
  height: 33px;
  background-color: rgb(4, 180, 4);
  border: none;
  color: white;
  font-size: 18px;
}

ul li button:hover {
  border: 2px solid white;
  background-color: transparent;
  color: rgb(20, 251, 20);
  cursor: pointer;
}

ul li a:hover {
  color: rgb(20, 251, 20);
  border-bottom: 2px solid rgb(20, 251, 20);
}

.menu-toggle {
  display: none;
  flex-direction: column;
  cursor: pointer;
}

.bar {
  height: 3px;
  width: 25px;
  background-color: white;
  margin: 4px 0;
}

#logs {
  display: none;
}

@media screen and (max-width: 769px) {
  .menu-toggle {
    display: flex;
    margin-right: 20px;
  }

  .menu-container {
    display: flex;
    align-items: center;
  }

  nav ul {
    display: none;
    flex-direction: column;
    width: 100%;
    font-weight: 700;
    background-color: rgb(54, 54, 55);
    position: absolute;
    top: 50px;
    left: 0;
    right: 0;
    padding-right: 90px;
  }

  nav ul.show {
    display: flex;
  }

  nav ul li {
    text-align: center;
    padding-right: 4rem;
    font-size: 1.2rem;
  }

  nav ul li a {
    display: block;
    width: 100%;
    padding: 12px 0;
  }

  #join-btn {
    display: none;
  }

  .join-icon {
    display: inline-block;
  }

  .logo {
    font-size: 20px;
    margin-left: 7px;
  }

  #logs {
    display: inline-block;
    padding-right: 8px;
    padding-left: 8px;
    padding-top: 5px;
    padding-bottom: 5px;
    margin-right: 10px;
    background: rgb(0, 255, 26);
    border-radius: 3px;
    color: white;
  }
}

@media screen and (max-width: 426px) {
  .logo {
    font-size: 20px;
    margin-left: 6px;
  }
}

@media screen and (max-width: 376px) {
  .logo {
    font-size: 20px;
    margin-left: 4px;
  }
}

@media screen and (max-width: 321px) {
  .logo {
    font-size: 20px;
    margin-left: 2px;
  }
}

.home {
  display: flex;
  justify-content: center;
}
.home img {
  width: 59%;
  margin-top: 70px;
  margin-left: -174px;
}
.home .homeText {
  margin-top: 200px;
  margin-left: 44px;
}
.homeText h1 {
  font-size: 85px;
  color: rgb(55, 248, 55);
}
.homeText h3 {
  margin-top: 22px;
  font-size: 22px;
}
.homeText p {
  margin-top: 22px;
  color: silver;
}
.homeText button {
  margin-top: 22px;
  font-size: 22px;
  width: 140px;
  height: 40px;
  background-color: green;
  color: white;
  border: none;
  cursor: pointer;
}
.homeText button:hover {
  border: 2px solid white;
  background-color: transparent;
  color: rgb(23, 252, 23);
}

@media screen and (max-width: 1024px) {
  .homeText h1 {
    font-size: 70px;
  }
  .homeText h3 {
    font-size: 20px;
  }
  .homeText button {
    font-size: 20px;
  }
}

@media screen and (max-width: 769px) {
  .homeText {
    margin-top: 150px;
    margin-left: 20px;
  }
  .home img {
    width: 60%;
    padding-top: 70px;
    margin-left: -140px;
  }
  .homeText h1 {
    font-size: 50px;
  }
  .homeText h3 {
    font-size: 18px;
  }
  .homeText button {
    font-size: 18px;
    width: 120px;
    height: 35px;
  }
}

@media screen and (max-width: 576px) {
  .home {
    flex-direction: column;
    align-items: center;
  }
  .homeText {
    margin-top: 100px;
    margin-right: 40px;
    text-align: center;
  }
  .home img {
    width: 70%;
    margin-left: 0;
    display: none;
  }
  .homeText h1 {
    font-size: 50px;
    margin-top: -50px;
  }
  .homeText h3 {
    font-size: 16px;
  }
  .homeText button {
    font-size: 16px;
    width: 160px;
    height: 30px;
  }
}

@media screen and (max-width: 376px) {
  .homeText h1 {
    font-size: 40px;
    margin-top: -70px;
  }
  .homeText h3 {
    font-size: 14px;
  }
  .homeText button {
    font-size: 14px;
    width: 140px;
    height: 28px;
  }
}

@media screen and (max-width: 320px) {
  .homeText h1 {
    font-size: 45px;
    margin-top: -80px;
  }
  .homeText h3 {
    font-size: 15px;
  }
  .homeText button {
    font-size: 15px;
    width: 120px;
    height: 35px;
  }
}

.head {
  text-align: center;
  font-size: 30px;
  padding-top: 60px;
  padding-bottom: 50px;
  padding-right: 20px;
}
.head span {
  color: rgb(37, 244, 37);
}
.crd {
  background: #3b3939;
  width: 3rem ;
}
.crd h3 {
  padding-bottom: 10px;
  padding-top: 5px;
}
.ourProgram {
  display: flex;
  justify-content: center;
  flex-wrap: wrap; 
}
.ourProgram .crd {
  margin-inline: 22px;
  width: 20%;
  text-align: center;
  transition: width 0.3s ease; 
}
.ourProgram .crd img {
  width: 17rem;
  padding-top: 15px;
}
.ourProgram .crd img:hover {
  width: 95%;
}

@media screen and (max-width: 1024px) {
  .ourProgram .crd {
    width: 30%; 
    margin-bottom: 20px;
  }
}

@media screen and (max-width: 768px) {
  .ourProgram .crd {
    width: 45%; 
    margin-bottom: 20px;
  }
  .head {
    text-align: center;
    font-size: 25px;
    padding-top: 30px;
    padding-bottom: 30px;
    padding-right: 20px;
  }
}

@media screen and (max-width: 576px) {
  .ourProgram .crd {
    width: 90%; 
    margin-bottom: 20px; 
  }
  .head {
    text-align: center;
    font-size: 20px;
    padding-top: 30px;
    padding-bottom: 30px;
    padding-right: 10px;
  }
}

/* plan */
.ourPlan {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.ourPlan .card {
  width: 300px;
  height: 380px;
  padding: 4px;
  background-color: rgb(36, 35, 35);
  text-align: center;
  margin: 10px;
  box-sizing: border-box;
}

.card i {
  font-size: 22px;
  margin-top: 22px;
  color: orange;
}

.card h3 {
  margin-top: 22px;
  color: rgb(58, 249, 58);
}

.card h1 {
  margin-top: 22px;
  color: rgb(24, 255, 24);
}

.card p {
  margin-top: 12px;
  color: silver;
}

.card button {
  margin-top: 22px;
  width: 130px;
  height: 38px;
  background-color: orange;
  border: none;
  color: white;
  font-size: 18px;
}

.card button:hover {
  border: 2px solid white;
  background-color: transparent;
  color: rgb(35, 252, 35);
  cursor: pointer;
}

.card:hover {
  transition: 0.7s ease;
  width: 310px;
  height: 440px;
  background-color: black;
  font-size: 19px;
  cursor: pointer;
  border: 2px solid white;
}


/* blog */
.ourBlog {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  margin-bottom: 10px;
}
.ourBlog .blogCard {
  width: 300px;
  height: 390px;
  margin-inline: 22px;
  background-color: rgb(42, 41, 41);
  margin-bottom: 20px;
}
.blogCard img {
  width: 90%;
  padding: 10px;
  margin-left: 5px;
  margin-top: 4px;
  height: 50%;
}
.blogCard p {
  margin-top: 8px;
}
.blogText a {
  text-decoration: none;
  width: 90px;
  padding: 11px;
  background-color: green;
  color: white;
  position: absolute;
  margin-top: 22px;
  cursor: pointer;
  z-index: 10;
}

.blogText a:hover{
  border: 2px solid white;
  background-color: transparent;
  color: rgb(20, 251, 20);
}
.blogText {
  margin-top: 8px;
  margin-left: 6px;
}


.head1 {
  text-align: center;
  font-size: 30px;
  padding-top: 60px;
  padding-bottom: 50px;
}
.head1 span {
  color: rgb(37, 244, 37);
}
.contactPage {
  display: flex;
  justify-content: center;
  position: relative;
}

.contactText {
  color: rgb(33, 249, 33);
  font-size: 32px;
  margin-top: 134px;
  z-index: 2; 
}

.contactPage img {
  width: 60%;
}

.contactUs {
  text-align: center;
  margin-top: 22px;
}

.contactUs input {
  width: 350px;
  padding: 8px;
  height: 33px;
  border-radius: 2px;
  border: none;
  outline: none;
  font-size: 22px;
  margin-top: 18px;
}

.contactUs button {
  width: 365px;
  height: 45px;
  color: white;
  border: none;
  font-size: 22px;
  background-color: rgb(41, 249, 41);
  border-radius: 2px;
  margin-top: 22px;
}

.contactUs button:hover {
  border: 2px solid white;
  background-color: transparent;
  color: rgb(27, 246, 27);
}

@media (max-width: 1024px){
  .contactPage {
    flex-direction: column;
    align-items: center;
  }

  .contactText {
    margin-left: 0;
    margin-top: 0;
    text-align: center;
    font-size: 34px; 
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
  }

  .contactPage img {
    width: 80%;
    margin-left: 0;
  }

  .contactUs input, .contactUs button {
    width: 90%; 
  }
  .head1 {
    text-align: center;
    font-size: 2rem;
    padding-top: 0px;
    padding-bottom: 50px;
  }
}


@media (max-width: 769px) {
  .head1 h1{
    font-size: 3.5rem;
  }
  .contactPage {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .contactText {
    margin-left: 0;
    margin-top: 0;
    text-align: center;
    font-size: 24px; 
    position: static;
    transform: none;
  }

  .contactPage img {
    display: none;
  }

  .contactUs input, .contactUs button {
    width: 90%; 
  }

}


@media (max-width: 426px) {
  .contactText {
    margin-left: 0;
    margin-top: 0;
    text-align: center;
    font-size: 22px; 
    position: static;
    transform: none;
  }
  .contactUs input, .contactUs button {
    width: 85%;
  }
}

@media (max-width: 321px){
  .head1 h1{
    text-align: center;
    font-size: 40px;
    padding-top: 10px;
    padding-bottom: 10px;
  
  }
  .head1 span {
    color: rgb(37, 244, 37);
  }
  .head1 h2{
    text-align: center;
    font-size: 40px;
    padding-bottom: 50px;
  }
  .contactText {
    margin-left: 0;
    margin-top: -70px;
    text-align: center;
    font-size: 22px; 
    position: static;
    transform: none;
  }
}

@media (max-width: 376px){
  .head1 h1{
    text-align: center;
    font-size: 40px;
    padding-bottom: 10px;
  }
  .head1 span {
    color: rgb(37, 244, 37);
  }
  .head1 h2{
    text-align: center;
    font-size: 40px;
  }
}

.footer {
  display: flex;
  justify-content: center;
  flex-wrap: wrap; 
  margin-top: 53px;
  padding: 22px;
  box-shadow: 0px 2px 6px 4px rgb(36, 36, 36);
}

.footer .footerText {
  margin: 33px 73px;
  text-align: center; 
}

.footerText p {
  margin-top: 11px;
  color: silver;
}


@media (max-width: 768px) {
  .footer {
    flex-direction: column; 
    align-items: center; 
  }

  .footer .footerText {
    margin: 15px 0; 
  }
}

